i.signatures(1)

NAME
i.signatures - Manage imagery classification signature files

KEYWORDS
imagery, classification, signatures

SYNOPSIS
i.signatures
i.signatures --help
i.signatures [-p] [type=name] format=name [mapset=name[,name,...]] [remove=name[,name,...]] [rename=from,to[,from,to,...]] [copy=from,to[,from,to,...]] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-p
    Print signature files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

type=name
    Type of signature file
    Options: sig, sigset, libsvm

format=name [required]
    Output format
    Options: plain, json
    Default: plain
    plain: Plain text output
    json: JSON (JavaScript Object Notation)

mapset=name[,name,...]
    Name of mapset to list
    Default: current search path

remove=name[,name,...]
    Name of file(s) to remove

rename=from,to[,from,to,...]
    Name of file to rename

copy=from,to[,from,to,...]
    Name of file to copy

DESCRIPTION
i.signatures module allows to manage signature files:

    •   "sig" – generated by i.gensig for i.maxlik

    •   "sigset" – generated by i.gensigset for i.smap
The module can perform multiple actions per run. The order of execution is "copy", "remove", "rename". When the print flag is specified without specifying any type of signature files, it would print all signatures grouped by type.

NOTES
By default the module will list signature files from all mapsets in the current search path. It is possible to limit listing only to a single mapset by providing the "mapset" option. The mapset can be also not listed in the current search path.
Actions "remove" and "rename" operate only on the current mapset (although accept fully qualified names). The "copy" action will accept a signature file name from any mapset as its first argument (source file to copy).

EXAMPLES
Print names of all signature files:

i.signatures -p

Print only signature files of certain type as a JSON:

i.signatures -p type=sigset format=json

Delete signature file called "foo" of type "sig" (i.gensig / i.maxlik).

i.signatures remove=foo type=sig

Copy signature file "bar" from mapset "baz" to current mapset

i.signatures copy=bar@baz,best_version type=sigset

SEE ALSO
i.gensig i.gensigset

AUTHOR
Maris Nartiss

SOURCE CODE

Available at: i.signatures source code (history)

Latest change: Saturday May 25 03:15:08 2024 in commit: 55b2a2bcccd3fd295e4f20c3e49f6984d61982d3

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual